enumconstraints.h File Reference

Deals with validity constraints in polytope vertex enumeration. More...

`#include <cstddef>`
`#include <set>`
`#include <vector>`
`#include "regina-core.h"`

## Classes

class | regina::EnumConstraints
| Represents an individual validity constraint for use with polytope vertex enumeration. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef EnumConstraints | regina::NEnumConstraintList
| Deprecated typedef for backward compatibility. More...

## Detailed Description

Deals with validity constraints in polytope vertex enumeration.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).